#pragma once

#include "preferences.h"
#include "wizard.h"

// CPPgTweaks dialog

class CPPgTweaks : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgTweaks)

public:
	CPPgTweaks();
	virtual ~CPPgTweaks();

	void SetPrefs(CPreferences* in_prefs) {	app_prefs = in_prefs;}

// Dialog Data
	enum { IDD = IDD_PPG_TWEAKS };
protected:
	CPreferences *app_prefs;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	void LoadSettings(void);
	virtual BOOL OnApply();
	afx_msg void OnSettingsChange()					{ SetModified(); }
	afx_msg	void OnBnClickedDisableXS(); // Added by Tarod -modify UDP request limit
	afx_msg	void OnBnClickedDynup(); // Added by Tarod -modify DynUp configuration

	void Localize(void);

private:
	bool guardian;
};
